/**
 * 
 */
package org.gcube.accounting.datamodel.validators;

import org.gcube.accounting.datamodel.validations.validators.ValidLongValidator;
import org.gcube.accounting.exception.InvalidValueException;
import org.junit.Test;

/**
 * @author Luca Frosini (ISTI - CNR) http://www.lucafrosini.com/
 *
 */
public class ValidTimeValidatorTest {

	@Test
	public void testPrimitiveLong() throws InvalidValueException{
		ValidLongValidator validTimeValidator = new ValidLongValidator();
		long myLong = 4;
		validTimeValidator.validate(myLong);
	}
	
	@Test
	public void testClassLong() throws InvalidValueException{
		ValidLongValidator validTimeValidator = new ValidLongValidator();
		Long myLong = new Long(4);
		validTimeValidator.validate(myLong);
	}
	
	@Test(expected=InvalidValueException.class)
	public void testWrongValue() throws InvalidValueException {
		ValidLongValidator validTimeValidator = new ValidLongValidator();
		validTimeValidator.validate("test");
	}
	
}
