package org.gcube.accounting.datamodel.validations.validators;

import java.io.Serializable;

import org.gcube.accounting.exception.InvalidValueException;

public class NotNullValidator implements FieldValidator {
	
	private static final String ERROR = "Is Null";
	
	@Override
	public Serializable validate(Serializable toValidate) throws InvalidValueException {
		if(toValidate!=null){
			return toValidate;
		}
		throw new InvalidValueException(ERROR);
	}

}
